package com.ucar.vehiclesdk;

import com.ucar.vehiclesdk.UCarCommon;
import java.util.List;

public interface IPhoneDataListener {
    UCarCommon.AudioAttributes getAudioAttributesByType(UCarCommon.AudioType audioType);

    void onAppListStateChanged(String str, List<Integer> list, UCarCommon.AppListState appListState);

    void onAppStateChanged(String str, int i, boolean z, int i2, int i3, UCarCommon.AppState appState);

    void onAudioFocusChanged(UCarCommon.AudioType audioType, int i);

    void onCallInfoReceived(String str, UCarCommon.CallInfo callInfo);

    void onMusicInfoReceived(String str, UCarCommon.MusicInfo musicInfo);

    void onNavigationInfoReceived(String str, UCarCommon.NavigationInfo navigationInfo);

    void onPOIReceived(String str, UCarCommon.POIAddress pOIAddress);

    void onPhoneStateInfoReceived(String str, UCarCommon.PhoneStateInfo phoneStateInfo);
}
